/*
 * GettingVariables.c
 *
 */

#include "classes\Generated Source\GettingVariables.h"


JNIEXPORT void JNICALL
Java_GettingVariables_show(JNIEnv *env, jobject thisObj) {

	jclass clazz;
	jfieldID fid_long;
	jfieldID fid_int;
	jfieldID fid_static_long;
	jfieldID fid_static_int;

	jint ji;
	jlong jl;

	// Klassen-Zeiger holen
	clazz = (*env)->GetObjectClass(env, thisObj);

	// holen der Non-Static Variablen
	fid_long = (*env)->GetFieldID(env, clazz, "_long", "J");
	fid_int = (*env)->GetFieldID(env, clazz, "_int", "I");
	
	jl = (*env)->GetLongField(env, thisObj, fid_long);
	ji = (*env)->GetIntField(env, thisObj, fid_int);

	// Ausgabe
	printf("\nnon-static\n");
	printf("public long _long : %i\n",jl);
	printf("private int _int  : %i\n",ji);

	// holen der Static Variablen
	fid_static_long = (*env)->GetStaticFieldID(env, clazz, "_static_long", "J");
	fid_static_int = (*env)->GetStaticFieldID(env, clazz, "_static_int", "I");

	jl = (*env)->GetStaticLongField(env, clazz, fid_static_long);
	ji = (*env)->GetStaticIntField(env, clazz, fid_static_int);

	// Ausgabe
	printf("\nstatic\n");
	printf("public static long _long : %i\n",jl);
	printf("private static int _int  : %i\n",ji);

}